﻿@model IEnumerable<FoodTruck.DATA.Produit>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>


<div class="displayRow">
    <div style="align-self: flex-start; ">
        <h3>REPAS</h3>
    </div>
    <div style="display: flex; flex-direction: row;align-self: flex-end; justify-content: space-around;flex-grow: 4;">
        <h4 style="font-size: larger;" *ngFor="let repas of ListRepas" (click)="selectRepas(repas)" [className]="repas.selected === true ? 'selected' : ''">{{repas.libelle}}</h4>
    </div>
    <div class='col-md-2'>
        <div class="input-group">
            <input class="form-control"
                   placeholder="Produit" [(ngModel)]="desiredProduct">
            <div class="input-group-addon"><i class="fa fa-search fa-2x"></i></div>
        </div>
    </div>
    <div class='col-md-2'>
        <div class="input-group">
            <input type="text"
                   placeholder="Choisir une date"
                   class="form-control"
                   #dp="bsDatepicker"
                   bsDatepicker
                   [minDate]="todayDate"
                   [maxDate]="maxDate"
                   [(ngModel)]="currentDate"
                   [daysDisabled]="[6,0]"
                   [bsConfig]="{ isAnimated: true, dateInputFormat: 'YYYY-MM-DD' ,showWeekNumbers: false, containerClass: 'theme-blue' }">
            <div class="input-group-addon"><i (click)="dp.toggle()" [attr.aria-expanded]="dp.isOpen" class="fas fa-calendar-week fa-2x"></i></div>
        </div>
    </div>
</div>
<div class="displayRow" style="padding-top: 10px;">
    <div style="align-self: center; ">
    </div>
    <div style="display: flex; flex-direction: row;align-self: flex-end; justify-content: center;flex-grow: 4;">
        for
        <app-image-circle *ngFor="let item of ListFamilleRepas" [item]="item" (click)="selectedFamille(item)"></app-image-circle>
    </div>
</div>



<div class="displayColumn">
    <img [src]="item.imageURL" [className]="item.selected === true ? 'rounded selected' : 'rounded'" />
    <p [className]="item.selected === true ? 'selected' : ''">{{item.libelle}}</p>
</div>


<div style="display: flex; flex-direction: row; justify-content: center; flex-wrap: wrap;">
    @foreach (var produit in Model)
    {
        <div style="position: relative;">
            <div class="card productItem">
                <img src="@produit.image" class="card-img-top" alt="@produit.libellecommercial">
                <div class="card-body">
                    <p class="card-title withThemeColor">@produit.libellecommercial</p>
                    <div class="card-text spaceBetween">
                        <p> @produit.prix_unitaire €HT</p>
                        <p class="withThemeColor">@produit.prix_unitaire*1.20 €TTC</p>
                    </div>
                    <div class="card-text spaceBetween">
                        <div style="display: flex;justify-content: space-between;">
                            <a onclick="plus()"><i class="fas fa-plus "></i></a>
                            <a onclick="minus()"><i class="fas fa-minus "></i></a>
                        </div>
                        <input class="form-control" type="number" value="10" min="0" max="99" onchange="addToCart()">
                    </div>
                    @if (10 > 0)
                    {
                        <a href="/cart" class="btn ">
                            <i class="fa fa-cart-plus fa-2x"></i>
                        </a>
                    }
                </div>
            </div>
            @if (10 > 0)
            {
                @*<span class="badgeNotif">  @produit.quantite  </span>*@
            }
        </div>
    }
</div>


